summaryrefslogtreecommitdiffstats
path: root/debian/wireshark-dev.prerm
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--debian/wireshark-dev.prerm17
1 files changed, 17 insertions, 0 deletions
diff --git a/debian/wireshark-dev.prerm b/debian/wireshark-dev.prerm
new file mode 100644
index 0000000..8614658
--- /dev/null
+++ b/debian/wireshark-dev.prerm
@@ -0,0 +1,17 @@
+#! /bin/bash
+#
+# Debian prerm script for Python x.y hierarchical modules
+# Written by Gregor Hoffleit <flight@debian.org>
+# Extended by Matthias Klose <doko@debian.org>
+#
+
+set -e
+
+PACKAGE=`basename $0 | sed -e 's/\.[^.]*$//'`
+
+dpkg --listfiles $PACKAGE |
+ awk '$0~/\.py$/ {print $0"c\n" $0"o"}' |
+ xargs rm -f >&2
+
+#DEBHELPER#
+